# Gimp.Procedure.add_palette_argument

    @accepts(Gimp.Procedure, unicode, unicode, unicode, bool, Gimp.Palette, bool, GObject.ParamFlags)
    @returns(none)
    def add_palette_argument(self, name, nick, blurb, none_ok, default_value, default_to_context, flags):
        # Python wrapper for gimp_procedure_add_palette_argument()

Add a new Gimp.Palette argument to self.

Since 3.0

self

  the Gimp.Procedure.

name

  the name of the argument to be created.

nick

  the label used in #GimpProcedureDialog.

blurb

  a more detailed help description.

none_ok

  whether None is a valid value.

default_value

  default value

default_to_context

  Use the context's palette as default value.

flags

  argument flags.